Subject: Re: Big5 and OTHER Guobiao

From: James Lin <[email-masked]>
Date: Mon, 22 Nov 1993 22:15:08 -0800

On Mon, 22 Nov 1993, L.S.Ng wrote:

>
> IMO, the popularity of Guobiao 2312 i.e.  the BASIC SET is due to its
> size :-) It the olden days of PC XT, each disk is 360K.  Most PC has
> only one or two 360 floppy disk drive.  So each GB2312 fontfile (aboout
> 250K) would fit in nicely into a disk.  It have been TEN good years ever
> since the publication of GB2312 (in 1980) until better PC fitted with
> hard-disk get popular.  In the meantime, GB2312 has become the de facto
> standard for 'the rest of China'.
>
> On the contrary, in Big5 coding scheme, some vendors (e.g.  Eten) chose
> to use a 16x15 character bitmap instead of a 16x16.  This save 2 bytes
> per character.  So each 16x15 character occupy 30 bytes.  Say there are
> about 14000 characters in Big5 (sorry to Bruce Liu, my memory is quite
> bad, I couldn't remember the exact number most of the time).

I do not think it is natural to define a character set of a language
simply considering about the "space problem" !?  What if we go back to
the old days having those single sided 180K floppy disk, will then we cut
off half of the characters and starting to use only those characters left
in our daily life ?   Computer is just a tool designed to help us in our
life.   Encoding is designed for human to use computer, not designed for
computer to rule everything.

The real reason for many venders to provide 16X15 bitmap font instead of
16X16 is for display resolution and never ever for 2 byte saving !
There is a 1 pixel space between two lines for clear display.  So, you
could still say it is 16X16 but there is no dots turned on in the bottom
line.

>
> So this would made up to about 420K.  The saving in using 16x15 instead
> of 16x16 is about 28K.  And in the early versions of Eten, (even up to
> ver 3.0), the bitmap fontfile were split into multiple files for dubious
> reasons.  And now I guess it is because the character set is too big!!

The 16X15 bitmap font file is split into 2 files just because the system
is designed to seperate these two "most frequently used characters" and
"less frequently used characters" for loading and buffering reasons.
The character set is NOT too big.  As a matter of fact, it is not enough
in many cases.  Like I mentioned, Chinese character encoding is really
designed for helping us use our language on computers and should never
restrict the use and the number of characters in the language simply for
computer sizing reasons.

> Sincerely
> Liangsheng WU

James Lin